List Ordered Products
Retrieves information related to products that a Company user has purchased. The information returned by this endpoint is different from the detailed product information returned by Get Order Details. However, it does include unique information like how many times a product was ordered and when it was last ordered.
The response includes all products purchased by the Company user, but you can filter for a subset of products by using parameters. Common use cases include:
- Retrieving products purchased within a date range by using
beginDateAtandendDateAt - Retrieving products ordered a specific number of times by using
minOrderedTimesandmaxOrderedTimes - Retrieving information on similarly-named products by entering a partial product name as a
qvalue - Retrieving information on a specific product by using
productID
Equivalent Storefront GraphQL API Query: orderedProducts. For more information, see the GraphQL Playground.
Authentication
Authentication header
Query parameters
Enter a date in %m/%d/%Y format to retrieve all orders placed after that time. If the parameter is not included in the request, the resposne includes orders placed 30 days before the current date.
Enter a date in %m/%d/%Y format to retrieve all orders placed before that time. If the parameter is not included in the request, the current date is used.
Enter order information to return partial and exact matches. Accepted information fields include order ID, order status name, Purchase Order (PO) number, and total order value including tax.